import Cookies from 'js-cookie'
const loginRedirectKey = 'portal_login_redirect'
export function getOtherQuery(query) {
  return Object.keys(query).reduce((acc, cur) => {
    if (cur !== 'redirect') {
      acc[cur] = query[cur]
    }
    return acc
  }, {})
}
export function getRedirect() {
  var redirect = Cookies.get(loginRedirectKey)
  if (redirect !== undefined) {
    return JSON.parse(redirect)
  }
  return {}
}
export function setRedirect(value) {
  var json = {
    path: value.path,
    query: value.query
  }
  return Cookies.set(loginRedirectKey, JSON.stringify(json))
}
export function removeRedirect() {
  return Cookies.remove(loginRedirectKey)
}
